If you upgrade the Wii's firmware, do you still need to install IO

Discussion in 'Wii - Hacking' started by Kira99, Jul 25, 2009.

  1. Kira99
    OP

    Kira99 Advanced Member

    Newcomer
    51
    0
    Nov 16, 2006
    Canada
    I'm still fairly new to using usb loaders. I'm currently on 4.0U firmware, and am considering installing Waninkoko Firmware v4.1 Updater.

    I read some people's posts telling others to install missing IOS's (like MadWorld's) when they can't get some games to work. I'm confused as to why they need to do this.


    1. Is it because their using old 3.X firmware?
    2. If I keep my firmware fairly updated, will I be able to avoid having to install missing IOS's in the future, in order to get games working?

    Thanks
     
  2. pm_41

    pm_41 GBAtemp Regular

    Member
    204
    0
    Jul 1, 2009
    United States
    Lurking in my Wii's NAND
    1. Yeah.

    2. Yeah (again [​IMG]).
     
  3. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    If you want all the latest IOS's, you'll have to either update through Nintendo or install them manually.
    Waninkoko's updater doesn't install the full 4.1 update, only what's needed.

    I recommend you just update through Nintendo and run Wiipower's Trucha Bug Restorer.
     
  4. Kira99
    OP

    Kira99 Advanced Member

    Newcomer
    51
    0
    Nov 16, 2006
    Canada
    But won't updating through Nintendo kill my HBC and usbloader?

    What does the Trucha Bug do? I tried reading Wiipower's thread but it states "Only use it when you have an idea what the trucha bug is and why you need it". [​IMG]
     
  5. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    http://www.gbatemp.net/index.php?showtopic=164152
    http://wiibrew.org/wiki/Signing_bug
     
  6. Kira99
    OP

    Kira99 Advanced Member

    Newcomer
    51
    0
    Nov 16, 2006
    Canada
    Thanks piratesmack, I went ahead and installed 4.1 through Nintendo.

    I'll be cautious though in the future in case they finally do decide to kill HBC.